import { type ReactElement } from 'react';
import type { StyleProps } from '../types';
type LoadingWindowProps = {
    styles: Partial<StyleProps>;
    customLoader?: JSX.Element | null;
    hideAvatar?: boolean;
    hideDelete?: boolean;
};
/**
 * Displays a loading indicator within a window,
 *
 * @component
 * @example
 * <LoadingWindow
 *   styles={customStyles}
 * />
 *
 * @param {Object} props - The properties passed to the component.
 * @param {Object} props.styles - Custom styles applied to the loading window container.
 * @param {Object} props.customLoader - Custom loader to be displayed within the loading window container.
 * @param {Object} props.hideAvatar - Flag for hide avatar placeholder circle from loading window card.
 * @param {Object} props.hideDelete - Flag for hide delete icon placeholder square from loading window card.
 */
declare const LoadingWindow: (props: LoadingWindowProps) => ReactElement;
export default LoadingWindow;
//# sourceMappingURL=loadingWindow.d.ts.map